<?php

namespace Teknisa\Libs\Util\XLS;

class Table{
    
    protected $columnsReference = array();
    protected $rows = array();
    
    public function __construct($columnsReference, $rows){
        $this->columnsReference = $columnsReference;
        $this->rows = $rows;
    }
    
    public function getColumnsReference(){
        return $this->columnsReference;
    }
    
    public function setColumnsReference($columnsReference){
        $this->columnsReference = $columnsReference;
    }
    
    public function getRows(){
        return $this->rows;
    }
    public function setRows($rows){
        $this->rows = $rows;
    }
    
    public function getNumberOfColumns(){
        return count($this->columnsReference);
    }
    
    public function getNumberOfRows(){
        return count($this->rows);
    }
    
}